### Hierarchy

- SiteRepositoryImpl

### Implements

- SiteRepository

## Index

### Constructors

- constructor

### Methods

- getSiteData

## Constructors

### constructor

- new SiteRepositoryImpl(transport: HttpTransport): SiteRepositoryImpl

- - Defined in repository/site/SiteRepositoryImpl.ts:10

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns SiteRepositoryImpl

## Methods

### getSiteData

- getSiteData(origin: string): Promise<Site>

- Implementation of SiteRepository.getSiteData

  - Defined in repository/site/SiteRepositoryImpl.ts:16

  #### Parameters

  - ##### origin: string

  #### Returns Promise<Site>

Generated using TypeDoc